For the complete documentation index, see llms.txt. This page is also available as Markdown.

Positions

Get futures positions on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/positions

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Query Parameters

Name
Type
Description
Example

symbol

STRING

Trading pair

BTCUSDT

orderId

STRING

Order ID

1736254849204

orderLinkId

STRING

Client order ID

client-order-1

openOnly

NUMERIC

Open positions filter

1

orderFilter

STRING

Filter value. Available values: Order, StopOrder

Order

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/positions?symbol=BTCUSDT&openOnly=1&orderFilter=Order" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters:

Each item in response contains:

Name
Type
Description

symbol

STRING

Trading pair

leverage

STRING

Applied leverage

breakEvenPrice

STRING

Break-even price

autoAddMargin

INTEGER

Auto-add-margin flag

avgPrice

STRING

Average entry price

liqPrice

STRING

Liquidation price

riskLimitValue

STRING

Risk limit value

takeProfit

STRING

Take-profit price

positionValue

STRING

Position value

isReduceOnly

BOOLEAN

Reduce-only flag

positionIMByMp

STRING

Initial margin by mark price

tpslMode

STRING

TP/SL mode

riskId

INTEGER

Risk tier ID

trailingStop

STRING

Trailing stop value

unrealisedPnl

STRING

Unrealized profit and loss

markPrice

STRING

Mark price

adlRankIndicator

INTEGER

ADL rank indicator

cumRealisedPnl

STRING

Cumulative realized profit and loss

positionMM

STRING

Maintenance margin

createdTime

STRING

Position creation time in milliseconds

positionIdx

INTEGER

Position index

openTime

NUMERIC

Position open time in milliseconds

positionIM

STRING

Initial margin

positionMMByMp

STRING

Maintenance margin by mark price

seq

NUMERIC

Position sequence number

updatedTime

STRING

Last update time in milliseconds

side

STRING

Position side

bustPrice

STRING

Bankruptcy price

positionBalance

STRING

Position balance

leverageSysUpdatedTime

STRING

Leverage system update time

curRealisedPnl

STRING

Current realized profit and loss

size

STRING

Position size

positionStatus

STRING

Position status

mmrSysUpdatedTime

STRING

Margin rate system update time

stopLoss

STRING

Stop-loss price

tradeMode

INTEGER

Trade mode

sessionAvgPrice

STRING

Session average price

baseCoin

STRING

Base coin

quoteCoin

STRING

Quote coin

priceScale

STRING

Price precision scale

feeOpenCurrency

STRING

Fee currency for opening

openFee

STRING

Opening fee

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated